Create shipments
POST/api/v2/orders/{order_id}/shipments
Adds one or more shipments to an existing order. Shipments can only be added to orders that are in draft
Authorization
Add HTTP header Authorization with the received API key as the bearer token:
- Authorization
- API Key
Parameters
URL parameters
| Property | Type | Description |
|---|---|---|
order_id | string | Order ID Unique identifier for order. uuid |
Request body
- Content-Type
application/json- Body
- CreateShipmentsRequestrequired
| Property | Type | Description |
|---|---|---|
shipments | required 1..30 items | |
| required | ||
currency | string | Currency used for rates and shipments. required one of: EUR |
delivery_instructions | string | The delivery instructions given to a carrier. This text should be short. It is only implemented for the following carriers:
TNT;
Transmission;
bpost (only certain products);
Mondial Relay; nullable length 1...200 |
description | string | Text field that may contain multiple lines and unicode characters. required nullable length 1...2700 |
external_id | string | External identification number used for shipments that are generated by third-party systems (like bol.com). length 1...255 |
height | integer | The height in CMs. required value 1... |
incoterms | string | Incoterms applicable for shipment. Must be DDP (Delivered Duty Paid) or DAP (Delivered At Place). required one of: DDP DAP |
length | integer | The length in CMs. required value 1... |
meta | object | This is an additional free format structured field that will give you the possibility to manage your booking process. Maps and lists are supported. |
ordered_at | string | Date time in ISO 8601 format (YYYY-MM-DD HH:MM:SS) in UTC date-time |
parcelshop_drop_off | boolean | Indicates if the shipment will be dropped of by the sender for pickup at a parcelshop. required |
parcelshop_id | string | ID of the parcelshop where the package is going to be delivered. String must contain carrier_code:code_of_parcelshop. length 3...64 |
reference | string | Custom reference code to identify your shipments or orders required length 1...255 |
return | boolean | required |
type | string | Indicates the type of shipment. required one of: document package pallet letterbox |
value | integer | The total value in cents. required value 1... |
webhook_url | string | A valid publicly accessible URL (http or https). length 1...255 |
weight | integer | The weight or a product or shipment in grams. required value 1... |
width | integer | The width of a shipment or product in CMs. required value 1... |
| required | ||
order_lines | ||
description | string | The description/name of the item required nullable length 1...2700 |
ean | string | EAN Code of product (European Article Number) |
hs_code | string | HS Code of product (Harmonized Commodity Description and Coding System) |
meta | object | This is an additional free format structured field that will give you the possibility to manage your booking process. Maps and lists are supported. |
origin_country_code | string | ISO country code. required length 2...2 |
quantity | integer | The number of items for a product in an order line. required value 1... |
sku | string | SKU Code of product |
value | integer | The total value in cents. required value 1... |
weight | integer | The weight or a product or shipment in grams. required value 1... |
receiver_address | Schema used to specify an address for a newly created shipment. required | |
| required | ||
address2 | string | Address2 address field. length 1...255 |
business_name | string | Name of business for address. If this name is supplied, it will indicate that the address type is business. If left empty, it indicates that the address type is a consumer. length 1...255 |
city | string | City of address. required length 2...30 |
country_code | string | ISO country code. required length 2...2 |
email_address | string | Email address compatible with RFC 5322. length 3...320 |
eori_number | string | Economic Operators Registration and Identification number that is required by businesses to ship internationally. length 3...17 |
family_name | string | Also known as last name. Refers to the name of the contact person to whom the address belongs. length 1...30 |
given_name | string | Also known as first name. Refers to the personal name of the contact person to whom the address belongs. length 1...30 |
house_number | string | House number in an address. May also contain house number extensions. required length 1...14 |
id | string | Unique ID for an address. Can be a ID of an existing sender_address or a unique ID of a parcelshop. In all other cases this ID is empty. length 1...64 |
phone_number | string | Phone number that may consist of a country code. length 2...30 |
state_code | string | State code for an address. The state code should be applicable for the country. So NY (New York) for country_code US (United States) or YT (Yukon) for country_code CA (Canada) length 2...3 |
street_name | string | Street name is an identifying name given to a street or road. required length 2...55 |
vat | string | Value-added tax identification number or VAT identification number (VATIN). nullable length 3...14 |
zip_code | string | The zipcode of an address. required length 1...10 |
sender_address | Schema used to specify an address for a newly created shipment. required | |
| required | ||
address2 | string | Address2 address field. length 1...255 |
business_name | string | Name of business for address. If this name is supplied, it will indicate that the address type is business. If left empty, it indicates that the address type is a consumer. length 1...255 |
city | string | City of address. required length 2...30 |
country_code | string | ISO country code. required length 2...2 |
email_address | string | Email address compatible with RFC 5322. length 3...320 |
eori_number | string | Economic Operators Registration and Identification number that is required by businesses to ship internationally. length 3...17 |
family_name | string | Also known as last name. Refers to the name of the contact person to whom the address belongs. length 1...30 |
given_name | string | Also known as first name. Refers to the personal name of the contact person to whom the address belongs. length 1...30 |
house_number | string | House number in an address. May also contain house number extensions. required length 1...14 |
id | string | Unique ID for an address. Can be a ID of an existing sender_address or a unique ID of a parcelshop. In all other cases this ID is empty. length 1...64 |
phone_number | string | Phone number that may consist of a country code. length 2...30 |
state_code | string | State code for an address. The state code should be applicable for the country. So NY (New York) for country_code US (United States) or YT (Yukon) for country_code CA (Canada) length 2...3 |
street_name | string | Street name is an identifying name given to a street or road. required length 2...55 |
vat | string | Value-added tax identification number or VAT identification number (VATIN). nullable length 3...14 |
zip_code | string | The zipcode of an address. required length 1...10 |
Request example
Response
Response body
- Content-Type
application/json- Body
| Property | Type | Description |
|---|---|---|
order | A collection of shipments. Contains data for orders that are persisted. required | |
| required | ||
reference | string | Custom reference code to identify your shipments or orders required length 1...255 |
| required | ||
id | string | Unique identifier for order. required uuid |
inserted_at | string | Date time in ISO 8601 format (YYYY-MM-DD HH:MM:SS) in UTC required date-time |
order_code | string | Unique human readable identifier of an order in Wuunder. length 13...13 |
receiver | Specifies the full legal address of a business or person, including street, house number, zip code, city, and country that is used to send the order to. required | |
sender | Specifies the full legal address of a business or person, including street, house number, zip code, city, and country that is used to send the order from. required | |
shipments | ||
status | string | required |
status_history | object | Contains all historical events that took place on this shipment or order. required |
updated_at | string | Date time in ISO 8601 format (YYYY-MM-DD HH:MM:SS) in UTC required date-time |